<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>Uses of Class model.classes.User</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class model.classes.User";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in model.classes">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class model.classes.User" class="title">Uses of Class<br>model.classes.User</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#controllers">controllers</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#model.classes">model.classes</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#model.DAO">model.DAO</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="controllers">
<!--   -->
</a>
<h3>Uses of <a href="../User.html" title="class in model.classes">User</a> in <a href="../../../controllers/package-summary.html">controllers</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../../controllers/package-summary.html">controllers</a> that return <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AddUserController.</span><code><span class="memberNameLink"><a href="../../../controllers/AddUserController.html#getSelectedSupervisor()">getSelectedSupervisor</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the selected supervisor in the combo box</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ModifDelController.</span><code><span class="memberNameLink"><a href="../../../controllers/ModifDelController.html#modifiedUser()">modifiedUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Instance a user with the modified data in the edit view</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ModifDelController.</span><code><span class="memberNameLink"><a href="../../../controllers/ModifDelController.html#selectedSupervisor()">selectedSupervisor</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the selected supervisor in the combo box</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ModifDelController.</span><code><span class="memberNameLink"><a href="../../../controllers/ModifDelController.html#selectedUser()">selectedUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the selected user in the combo box</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../../controllers/package-summary.html">controllers</a> that return types with arguments of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AddUserController.</span><code><span class="memberNameLink"><a href="../../../controllers/AddUserController.html#getSupervisors()">getSupervisors</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the all the supervisors</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../../controllers/package-summary.html">controllers</a> with parameters of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ModifDelController.</span><code><span class="memberNameLink"><a href="../../../controllers/ModifDelController.html#setTextAndCombo(model.classes.User)">setTextAndCombo</a></span>&#8203;(<a href="../User.html" title="class in model.classes">User</a>&nbsp;user_selected)</code></th>
<td class="colLast">
<div class="block">Fill the JTextField and JComboBox with the data of the user selected</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Method parameters in <a href="../../../controllers/package-summary.html">controllers</a> with type arguments of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#compareTwoUserList(java.util.List,java.util.List)">compareTwoUserList</a></span>&#8203;(java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;&nbsp;list_one,
                  java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;&nbsp;list_two)</code></th>
<td class="colLast">
<div class="block">Compare if two users lists are equals</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#fillDataUserTable(java.lang.Object%5B%5D%5B%5D,java.util.List)">fillDataUserTable</a></span>&#8203;(java.lang.Object[][]&nbsp;data,
                 java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</code></th>
<td class="colLast">
<div class="block">Fill the data in the user table</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#fillUserTable(java.util.List)">fillUserTable</a></span>&#8203;(java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</code></th>
<td class="colLast">
<div class="block">Fill the user table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#searchOperator(java.util.List)">searchOperator</a></span>&#8203;(java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</code></th>
<td class="colLast">
<div class="block">Search all operators in a list</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#verifyOperatorButtonPressed(java.util.List)">verifyOperatorButtonPressed</a></span>&#8203;(java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;&nbsp;new_user_list)</code></th>
<td class="colLast">
<div class="block">Verify if the button operators is pressed</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../../../controllers/package-summary.html">controllers</a> with parameters of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#%3Cinit%3E(views.MainView,model.classes.User)">MainController</a></span>&#8203;(<a href="../../../views/MainView.html" title="class in views">MainView</a>&nbsp;mainView,
              <a href="../User.html" title="class in model.classes">User</a>&nbsp;user_connected)</code></th>
<td class="colLast">
<div class="block">Constructor of the MainController class</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../controllers/ModifDelController.html#%3Cinit%3E(views.ModifDelView,model.classes.User,boolean,boolean)">ModifDelController</a></span>&#8203;(<a href="../../../views/ModifDelView.html" title="class in views">ModifDelView</a>&nbsp;modifDelView,
                  <a href="../User.html" title="class in model.classes">User</a>&nbsp;user_connected,
                  boolean&nbsp;btnEditPressed,
                  boolean&nbsp;btnDelPressed)</code></th>
<td class="colLast">
<div class="block">Constructor of the AddUserController class</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="model.classes">
<!--   -->
</a>
<h3>Uses of <a href="../User.html" title="class in model.classes">User</a> in <a href="../package-summary.html">model.classes</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">model.classes</a> that return <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Call.</span><code><span class="memberNameLink"><a href="../Call.html#getOperator()">getOperator</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">User.</span><code><span class="memberNameLink"><a href="../User.html#getSupervisor()">getSupervisor</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">model.classes</a> with parameters of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Call.</span><code><span class="memberNameLink"><a href="../Call.html#setOperator(model.classes.User)">setOperator</a></span>&#8203;(<a href="../User.html" title="class in model.classes">User</a>&nbsp;operator)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">User.</span><code><span class="memberNameLink"><a href="../User.html#setSupervisor(model.classes.User)">setSupervisor</a></span>&#8203;(<a href="../User.html" title="class in model.classes">User</a>&nbsp;one_user)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">model.classes</a> with parameters of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Call.html#%3Cinit%3E(int,model.classes.ExternPerson,model.classes.Status,model.classes.User,java.sql.Date,int,type.Direction)">Call</a></span>&#8203;(int&nbsp;idCall,
    <a href="../ExternPerson.html" title="class in model.classes">ExternPerson</a>&nbsp;extern_person,
    <a href="../Status.html" title="class in model.classes">Status</a>&nbsp;call_status,
    <a href="../User.html" title="class in model.classes">User</a>&nbsp;operator,
    java.sql.Date&nbsp;date,
    int&nbsp;duration,
    <a href="../../../type/Direction.html" title="enum in type">Direction</a>&nbsp;direction)</code></th>
<td class="colLast">
<div class="block">Constructor of the Call class</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../User.html#%3Cinit%3E(int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,model.classes.Role,model.classes.User)">User</a></span>&#8203;(int&nbsp;idPerson,
    java.lang.String&nbsp;firstname,
    java.lang.String&nbsp;lastname,
    java.lang.String&nbsp;login,
    java.lang.String&nbsp;password,
    <a href="../Role.html" title="class in model.classes">Role</a>&nbsp;user_role,
    <a href="../User.html" title="class in model.classes">User</a>&nbsp;supervisor)</code></th>
<td class="colLast">
<div class="block">Constructor of the User class</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../User.html#%3Cinit%3E(model.classes.Person,java.lang.String,java.lang.String,model.classes.Role,model.classes.User)">User</a></span>&#8203;(<a href="../Person.html" title="class in model.classes">Person</a>&nbsp;person,
    java.lang.String&nbsp;login,
    java.lang.String&nbsp;password,
    <a href="../Role.html" title="class in model.classes">Role</a>&nbsp;user_role,
    <a href="../User.html" title="class in model.classes">User</a>&nbsp;supervisor)</code></th>
<td class="colLast">
<div class="block">Constructor of the User class</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="model.DAO">
<!--   -->
</a>
<h3>Uses of <a href="../User.html" title="class in model.classes">User</a> in <a href="../../DAO/package-summary.html">model.DAO</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../DAO/package-summary.html">model.DAO</a> that return <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDAO.</span><code><span class="memberNameLink"><a href="../../DAO/UserDAO.html#findUser(java.lang.String,java.lang.String)">findUser</a></span>&#8203;(java.lang.String&nbsp;login,
        java.lang.String&nbsp;password)</code></th>
<td class="colLast">
<div class="block">Find a user in the database with a login and a password</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDAO.</span><code><span class="memberNameLink"><a href="../../DAO/UserDAO.html#read(java.lang.String)">read</a></span>&#8203;(java.lang.String&nbsp;pk)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../DAO/package-summary.html">model.DAO</a> that return types with arguments of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../User.html" title="class in model.classes">User</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDAO.</span><code><span class="memberNameLink"><a href="../../DAO/UserDAO.html#recupAll()">recupAll</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../DAO/package-summary.html">model.DAO</a> with parameters of type <a href="../User.html" title="class in model.classes">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDAO.</span><code><span class="memberNameLink"><a href="../../DAO/UserDAO.html#create(model.classes.User)">create</a></span>&#8203;(<a href="../User.html" title="class in model.classes">User</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDAO.</span><code><span class="memberNameLink"><a href="../../DAO/UserDAO.html#delete(model.classes.User)">delete</a></span>&#8203;(<a href="../User.html" title="class in model.classes">User</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDAO.</span><code><span class="memberNameLink"><a href="../../DAO/UserDAO.html#update(model.classes.User)">update</a></span>&#8203;(<a href="../User.html" title="class in model.classes">User</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in model.classes">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
